PeopleForce
Vacancies

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List all vacancies

GET
/api/public/v1/recruitment/vacancies

Query Parameters

ends_on?string
Formatdate
location_ids[]?array<integer>
sort_by?string
Default"opened_at"

Value in

  • "opened_at"
  • "created_at"
  • "updated_at"
sort_dir?string
Default"asc"

Value in

  • "asc"
  • "desc"
starts_on?string
Formatdate
status?string

Value in

  • "drafting"
  • "opened"
  • "closed"
  • "held"
  • "cancelled"
  • "archived"
tag_ids[]?array<integer>
title?string

Response Body

application/json

curl -X GET "https://example.com/api/public/v1/recruitment/vacancies"
{  "data": [    null  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}